Name:         fonts-chinese
Summary:      Meta-package for Chinese fonts
License:      GPLv2+
Group:        User Interface/X
Version:      3.03
Release:      12%{?dist}
BuildArch:    noarch
BuildRoot:    %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:     cjkunifonts-uming, cjkunifonts-ukai
Requires:     taipeifonts

%description
This is a meta-package for Chinese fonts support.

%prep
%{nil}

%build
%{nil}

%install
rm -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)

%changelog
* Thu Sep 27 2007 Caius Chance <cchance@redhat.com> - 3.03-12.fc8
- Resolves: rhbz#225761 (Convert fonts-chinese into meta-package.)
  <<<<< Taipei fonts was moved to a separate package taipeifonts.
  <<<<< Improved: % defattr(-,root,root,-)
  <<<<<-Put taipeifonts after cjkunifonts in the requires.

* Thu Sep 27 2007 Caius Chance <cchance@redhat.com> - 3.03-11.fc8
- Resolves: rhbz#225761 (Convert fonts-chinese into meta-package.)
  <<<<< Tidy up spec file.

* Fri Aug 31 2007 Jens Petersen <petersen@redhat.com> - 3.03-10.fc8
- finish moving Uming and Ukai truetype fonts over to cjkunifonts (#266281):
- update summary and description
- drop scriptlets and their requires
- require new cjkunifonts-uming and cjkunifonts-ukai
- version ttfonts-zh_CN and ttfonts-zh_TW obsoletes
- run mkfontdir at buildtime and don't ghost fonts.dir
- don't generate fonts.scale

* Thu Aug 30 2007 Caius Chance <cchance@redhat.com>
- Resolves: rhbz#266281 (Remove uming and ukai from fonts-chinese.)
-- remove ttfontdir and cidmapdir
-- update license to Public Domain for taipeifonts
-- remove % {_datadir}/fonts/zh_*/TrueType/ compat dirs
-- remove fc-cache from post and postun scriptlets

* Mon Aug 27 2007 Caius Chance <cchance@redhat.com> - 3.03-9.fc8
- Removed ownership of catalogue directory.

* Tue Aug 21 2007 Jens Petersen <petersen@redhat.com>
- add source urls for cjkunifonts
- use %%setup macro
- use Arphic license from uming source

* Mon Aug 20 2007 Caius Chance <cchance@redhat.com> - 3.03-8.fc8
- Specify TrueType font directory for fc-cache.

* Fri Aug 17 2007 Caius Chance <cchance@redhat.com> - 3.03-7.fc8
- Resolves: rhbz#252269 (Drop chkfontpath dependency.)
  ^^^ Fixed catalogue symlink.

* Thu Aug 16 2007 Caius Chance <cchance@redhat.com> - 3.03-6.fc8
- Resolves: rhbz#252269 (Drop chkfontpath dependency.)

* Fri Aug 03 2007 Caius Chance <cchance@redhat.com> - 3.03-5.2.fc8
- Update font postinstallation update procedure (fc-cache):
  http://fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-4863fc4c93cec14292719d8901d83f5d90c3e477
- Refactorizes .spec file.

* Thu Jul 26 2007 Caius Chance <cchance@redhat.com> - 3.03-5.1.fc8
- Resolves: rhbz#249644 fc-cache is not always caching newly installed fonts 
            in fonts-chinese.
- Refactorizes .spec file.

* Thu Feb 01 2007 Caius Chance <cchance@redhat.com> - 3.03-4.fc7
- Fixed bz#226716: LTC30501-Missing files in Traditional Chinese font support 
  package (el5->devel).

* Wed Jan 31 2007 Caius Chance <cchance@redhat.com> - 3.03-3.fc7
- Fixed bz#225526: [zh_*] need to add CIDFnmap file back (port el5=>rawhide)

* Wed Jan 31 2007 Caius Chance <cchance@redhat.com> - 3.03-2.fc7
- Fixed bz#225523: Cannot use Chinese fonts on Java application with JRE 
  (porting el5 => rawhide)

* Thu Nov 09 2006 Caius Chance <cchance@redhat.com> - 3.03-1.fc7
- Included new release of arphic uming & ukai (20060928).

* Wed Sep 06 2006 Caius Chance <cchance@redhat.com> - 3.02-7.fc6
- fonts-chinese's postinstall has mistake(fonts-chinese-3.02-4.1)

* Tue Aug 29 2006 Caius Chance <cchance@redhat.com> - 3.02-6.fc6
- updated arphic uming and ukai fonts, re-patched with bz#197207.

* Wed Aug 23 2006 Caius Chance <cchance@redhat.com> - 3.02-5
- fix bz#197207 - cutting of ")" glyph in uming.ttf

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 3.02-4.1.1
- rebuild

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Nov 17 2005 Warren Togami <wtogami@redhat.com> - 3.02-4
- req(foo,bar) syntax breaks erasure ordering

* Tue Nov 15 2005 Jeremy Katz <katzj@redhat.com> - 3.02-3
- fix mkfontdir call

* Tue Nov 15 2005 Warren Togami <wtogami@redhat.com> - 3.02-2
- use less fragile way to call mkfontdir

* Tue Nov 15 2005 Leon Ho <llch@redhat.com> - 3.02-1
- migrate taipeifonts to this package

* Mon Nov 14 2005 Warren Togami <wtogami@redhat.com> - 3.01-3
- rebuild against modular X

* Wed Nov 09 2005 Leon Ho <llch@redhat.com> - 3.01-2
- updated to use which to search for mkfontdir
- update to Requires: mkfontdir.

* Mon Nov 07 2005 Leon Ho <llch@redhat.com> - 3.01-1
- update uming and ukai to 0.1-0.dot.3

* Fri Sep 02 2005 Leon Ho <llch@redhat.com> - 3.00.pre2-1
- Upgrade to pre2 fonts

* Thu Aug 17 2005 Leon Ho <llch@redhat.com> - 3.00.pre1-1
- Move to uMing and uKai with HKSCS and Bitmap glyphs
- combined FAPIcidfmap.{zh_TW,zh_CN} into FAPIcidfmap.zh

* Tue Aug 16 2005 Akira TAGOH <tagoh@redhat.com> - 2.15-4
- Added cidfmap.zh_CN and cidfmap.zh_TW for the latest ghostscript.

* Thu Jul 14 2005 Akira TAGOH <tagoh@redhat.com> - 2.15-3
- use FAPIcidfmap instead of CIDFnmap for gs8.

* Wed Apr 20 2005 Akira TAGOH <tagoh@redhat.com> - 2.15-2
- Updated the font path in CIDFnmap.{zh_CN,zh_TW} (John Thacker, #155404)

* Thu Feb 24 2004 Leon Ho <llch@redhat.com>
- merge from ttfonts-zh_CN and ttfonts-zh_TW
